maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tom Huybrechts <tom.huybrec...@gmail.com>
Subject plugin's descriptor contains the wrong g/a/v
Date Tue, 08 Sep 2009 08:35:24 GMT
I have a plugin containing a number of custom lifecycles, which has
always worked well.
After upgrade to 2.2.1 (from 2.0.x), I get the following error. What
does it mean ?

[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Internal error in the plugin manager getting plugin
'com.agfa.maven.plugins:maven-lifecycle-plugin': Plugin 'com.
agfa.maven.plugins:maven-lifecycle-plugin:0.0.14' has an invalid descriptor:
1) Plugin's descriptor contains the wrong group ID: org.apache.maven.plugins
2) Plugin's descriptor contains the wrong artifact ID: maven-help-plugin
3) Plugin's descriptor contains the wrong version: 2.0.2
[INFO] ------------------------------------------------------------------------
[INFO] Trace
org.apache.maven.lifecycle.LifecycleExecutionException: Internal error
in the plugin manager getting plugin 'com.agfa.ma
ven.plugins:maven-lifecycle-plugin': Plugin
'com.agfa.maven.plugins:maven-lifecycle-plugin:0.0.14' has an invalid
descri
ptor:
1) Plugin's descriptor contains the wrong group ID: org.apache.maven.plugins
2) Plugin's descriptor contains the wrong artifact ID: maven-help-plugin
3) Plugin's descriptor contains the wrong version: 2.0.2
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.loadPluginFully(DefaultLifecycleExecutor.java:1586)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.findArtifactTypeHandlersInPlugins(DefaultLifecycleExecuto
r.java:1468)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.findExtensions(DefaultLifecycleExecutor.java:222)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:178)
        at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
        at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
        at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
        at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
        at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
        at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
        at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
Caused by: org.apache.maven.plugin.PluginManagerException: Plugin
'com.agfa.maven.plugins:maven-lifecycle-plugin:0.0.14'
 has an invalid descriptor:
1) Plugin's descriptor contains the wrong group ID: org.apache.maven.plugins
2) Plugin's descriptor contains the wrong artifact ID: maven-help-plugin
3) Plugin's descriptor contains the wrong version: 2.0.2
        at org.apache.maven.plugin.DefaultPluginManager.addPlugin(DefaultPluginManager.java:330)
        at org.apache.maven.plugin.DefaultPluginManager.verifyVersionedPlugin(DefaultPluginManager.java:224)
        at org.apache.maven.plugin.DefaultPluginManager.verifyPlugin(DefaultPluginManager.java:184)
        at org.apache.maven.plugin.DefaultPluginManager.loadPluginFully(DefaultPluginManager.java:1626)
        at org.apache.maven.lifecycle.DefaultLifecycleExecutor.loadPluginFully(DefaultLifecycleExecutor.java:1582)
        ... 15 more

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message